import es
import playerlib

from rankme import rankme

addonName = "botreset"

botreset = rankme.addons.registerAddon(addonName)

translations = botreset.translate()
translations.addLanguageGroup('bot reset command',
     "#greenThe bots have been reseted to the default ranks.",
     'Displays a message showing the players that the bot ranks have been reseted.',
     {})

config = botreset.config("""Gives admins the ability to reset ranks of the bots with a
simple command. Edit the command below to your needs.
 
To install this addon, enable it in the addons.txt file.
This config file does not interfere with the main config file.
 
Load the addon with: load_module botreset""")

_botreset_command      = config.cvar("rankme_botreset_command",            "!botreset",                       "The command that should reset the bots ranks.")

config.write()

text = translations.getLanguageFile()

def load():
    """
    Fires when the script initializes. Creates the addon's most important
    variables and executes config files and other features.
    """
    config.execute()
    
def player_say(ev):
    """
    Event player_say
    
    Executes when a player writes any information in the chatbox.
    Provides the usual event variables to compare data.
    """
    if ev['text'] == str(_botreset_command):
        resetBotRanks(int(ev['userid']))
        
def resetBotRanks(userid):
    steamid = playerlib.getPlayer(userid).uniqueid
    if steamid in botreset.admins:
        rankme.database.deleteBots()
        es.server.queuecmd('mp_restartgame 1')
        
        index = rankme.getPlayer(userid).index
        for userid in es.getUseridList():
            rankme.saytext2(userid, index, text('bot reset command', {}, playerlib.getPlayer(userid).get('lang')))